#include <bits/stdc++.h>
using namespace std;
int N, M, K , T;
int main(){
    cin>>T;
    for(int i=1;i<=T;i++){
        cin>>N>>M>>K;
        if(K>N){
            cout << "Nie" << endl;
        }
        else {
            if (M<=N){
                cout << "Nie" << endl;
            }
            else{
                cout << "Tak" << endl;
            }
        }


    }



    return 0;
}